-- 客户编号冗余到收发货人表
alter table `ecw_order_consignor`
    add column `customer_number` VARCHAR(50) DEFAULT NULL COMMENT '客户编号';
alter table `ecw_order_consignee`
    add column `customer_number` VARCHAR(50) DEFAULT NULL COMMENT '客户编号';

-- 批量刷新订单收发货人的客户编号信息
    update ecw_order_consignor nor join ecw_customer u on nor.customer_id = u.id set nor.customer_number = u.number;
    update ecw_order_consignee nee join ecw_customer u on nee.customer_id = u.id set nee.customer_number = u.number;

-- 提货相关数据冗余到订单表
alter table `ecw_order`
    add column `pick_state` tinyint DEFAULT 0 COMMENT '提货状态：0 未提货 1 部分提货 2 已提货';
alter table `ecw_order`
    add column `pick_ratio` int DEFAULT 0 COMMENT '提货率';
alter table `ecw_order`
    add column `pick_num` int DEFAULT 0 COMMENT '提货箱数';